Keep on going, never give up.

Android报错:The import android.util cannot be resolved

Eclipse导入外部Android工程时,总会遇到The import android.util cannot be resolved 错误,解决方法如下:

  1. 首先检查project.properties中的"target=android-xx"参数对应版本和AndroidManifest.xml中的 android:minSdkVersion="yy" android:targetSdkVersion="zz" 版本号是否跟当前Android生效版本号对应。
  2. Eclipse中,鼠标右键点击工程名字,弹出菜单中选择"Build Path"->"Confiture Build Path"
  3. 在配置窗口选择"Libraries" tab,找到'Unable to get system library for project',然后点击Remove删除按钮,再点击左侧"Android",然后选择Android目标版本,设置完成后点击OK。
  4. 点击Eclipse菜单"Project"->"Clean",点击OK。
  5. 右键点击工程名,选择"Android Tools"->"Fix Project Properties"。
  6. 完成修正。

参考资料:

http://stackoverflow.com/questions/4497076/unable-to-run-imported-project

http://stackoverflow.com/questions/11584539/import-android-packages-cannot-be-resolved

相关评论(0):  

发表评论:

◎欢迎参与讨论,请在这里发表您的看法、交流您的观点。

订阅博客

最新文章

本站采用创作共用版权协议, 要求署名、非商业用途和保持一致. 转载也必须遵循“署名-非商业用途-保持一致”的创作共用协议. 返回顶部
Copyright@2005-2016 Metsky.com, All rights Reserved.